install ioncube PHP Loader on server 32 bit and 64 bit

  • 32 Bit


    wget htp://www.ioncube.com/early_access/phpd-4.1-libs-linux_i686-glibc2.3.4.tgz


    64 Bit


    wget htp://www.ioncube.com/early_access/phpd-4.1-libs-linux_x86_64-glibc2.3.4.tgz


    extract ioncube


    32 Bit


    tar zxvf phpd-4.1-libs-linux_i686-glibc2.3.4.tgz


    64 Bit


    tar zxvf phpd-4.1-libs-linux_x86_64-glibc2.3.4.tgz
    move file ioncube_loader_lin_5.4.so


    mv ioncube/ioncube_loader_lin_5.4.so /usr/lib/php5/20100525+lfs/


    create file called ioncube.ini


    vi /etc/php5/conf.d/ioncube.ini


    copy and paste this line


    zend_extension = /usr/lib/php5/20100525+lfs/ioncube_loader_lin_5.4.so


    /etc/init.d/apache2 restart


    check if installed


    php -v

    my System :



    - Distribution: Debian | Release: 9.8 | Codename: wheezy
    - i-MSCP Version: i-MSCP 1.5.3| Build: 20181208 | Codename: Ennio Morricone
    - Plugins installed: ClamAV (v. 1.2.1), Mailgraph (v 1.1.1), OpenDKIM (v 1.1.3), PanelRedirect (v 1.1.5) & SpamAssassin (v 1.1.1)
    - LetsEncrypt (v3.3.0), PhpSwitcher (v 4.0.1), RoundcubePlugins (v 2.0.1)

    Edited once, last by Speddy ().


  • Early Access Loaders for PHP 5.4 fom 18.04.2012

    my System :



    - Distribution: Debian | Release: 9.8 | Codename: wheezy
    - i-MSCP Version: i-MSCP 1.5.3| Build: 20181208 | Codename: Ennio Morricone
    - Plugins installed: ClamAV (v. 1.2.1), Mailgraph (v 1.1.1), OpenDKIM (v 1.1.3), PanelRedirect (v 1.1.5) & SpamAssassin (v 1.1.1)
    - LetsEncrypt (v3.3.0), PhpSwitcher (v 4.0.1), RoundcubePlugins (v 2.0.1)

  • Thanks for your howto, you're my "hero", I was before a little bit desperated.


    Works also with PHP 5.3 (replace with current version of PHP and replace with your build 20090626+lfs)

  • Install Ioncube for Debian “squeeze”/x86_64, login with putty and:
    1. wget http://downloads2.ioncube.com/…loaders_lin_x86-64.tar.gz ( link = downloads2.ioncube.com/loader_downloads/ioncube_loaders_lin_x86-64.tar.gz )
    2. tar zxvf ioncube_loaders_lin_x86-64.tar.gz
    3. mv ioncube/ioncube_loader_lin_5.3.so /usr/lib/php5/20090626/
    4.create : ioncube.ini
    vi /etc/php5/conf.d/ioncube.ini
    5.copy and paste this line
    zend_extension = /usr/lib/php5/20090626/ioncube_loader_lin_5.3.so
    6. /etc/init.d/apache2 restart
    8. php -v
    9.there was an error with ioncube_loader_lin_5.4.so:


    Best regards.

  • Early Access Loaders for PHP 5.4 fom 4.4.1 Jun 11, 2013

    my System :



    - Distribution: Debian | Release: 9.8 | Codename: wheezy
    - i-MSCP Version: i-MSCP 1.5.3| Build: 20181208 | Codename: Ennio Morricone
    - Plugins installed: ClamAV (v. 1.2.1), Mailgraph (v 1.1.1), OpenDKIM (v 1.1.3), PanelRedirect (v 1.1.5) & SpamAssassin (v 1.1.1)
    - LetsEncrypt (v3.3.0), PhpSwitcher (v 4.0.1), RoundcubePlugins (v 2.0.1)


  • Early Access Loaders for PHP 5.4 fom 4.4.1 Jun 11, 2013


    Early Access Loaders for PHP 5.4 fom 4.4.4 Oct 14, 2013

    my System :



    - Distribution: Debian | Release: 9.8 | Codename: wheezy
    - i-MSCP Version: i-MSCP 1.5.3| Build: 20181208 | Codename: Ennio Morricone
    - Plugins installed: ClamAV (v. 1.2.1), Mailgraph (v 1.1.1), OpenDKIM (v 1.1.3), PanelRedirect (v 1.1.5) & SpamAssassin (v 1.1.1)
    - LetsEncrypt (v3.3.0), PhpSwitcher (v 4.0.1), RoundcubePlugins (v 2.0.1)

  • Early Access Loaders for PHP 5.4 fom 4.5.3 Feb 11, 2014

    my System :



    - Distribution: Debian | Release: 9.8 | Codename: wheezy
    - i-MSCP Version: i-MSCP 1.5.3| Build: 20181208 | Codename: Ennio Morricone
    - Plugins installed: ClamAV (v. 1.2.1), Mailgraph (v 1.1.1), OpenDKIM (v 1.1.3), PanelRedirect (v 1.1.5) & SpamAssassin (v 1.1.1)
    - LetsEncrypt (v3.3.0), PhpSwitcher (v 4.0.1), RoundcubePlugins (v 2.0.1)

  • Early Access Loaders for PHP 5.4 and php 5.5 4.6.1 Apr 22, 2014

    my System :



    - Distribution: Debian | Release: 9.8 | Codename: wheezy
    - i-MSCP Version: i-MSCP 1.5.3| Build: 20181208 | Codename: Ennio Morricone
    - Plugins installed: ClamAV (v. 1.2.1), Mailgraph (v 1.1.1), OpenDKIM (v 1.1.3), PanelRedirect (v 1.1.5) & SpamAssassin (v 1.1.1)
    - LetsEncrypt (v3.3.0), PhpSwitcher (v 4.0.1), RoundcubePlugins (v 2.0.1)

  • 4.6.2
    Oct 14, 2014

    my System :



    - Distribution: Debian | Release: 9.8 | Codename: wheezy
    - i-MSCP Version: i-MSCP 1.5.3| Build: 20181208 | Codename: Ennio Morricone
    - Plugins installed: ClamAV (v. 1.2.1), Mailgraph (v 1.1.1), OpenDKIM (v 1.1.3), PanelRedirect (v 1.1.5) & SpamAssassin (v 1.1.1)
    - LetsEncrypt (v3.3.0), PhpSwitcher (v 4.0.1), RoundcubePlugins (v 2.0.1)